# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define module assembly

Name:           fest-%{module}
Version:        1.0
%define         subrel 1
Release:        %mkrel 0.r1039.1.4
Summary:        Fixtures for Easy Software Testing Shared Assembly Descriptor

Group:          Development/Java
License:        Apache License, Version 2.0
URL:            http://fest.easytesting.org/
Source0:        fest-assembly-1.0-r1039.tgz
# svn export http://svn.codehaus.org/fest/trunk/fest-assembly fest-assembly-1.0
# tar czf fest-assembly-1.0-r1039.tgz fest-assembly-1.0
Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        fest-1.0.1.pom
# See http://svn.codehaus.org/fest/trunk/fest/pom.xml

BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  maven-local
Requires:       java >= 0:1.6.0
Requires:       jpackage-utils 

Requires(post):    jpackage-utils 
Requires(postun):  jpackage-utils 

BuildArch:      noarch

%description
Utility methods used by FEST modules.

%prep
%setup -q

mkdir external_repo
ln -s %{_javadir} external_repo/JPP
cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml
mkdir -p .m2/repository/org/easytesting/fest/1.0.1/
cp %{SOURCE3} .m2/repository/org/easytesting/fest/1.0.1/fest-1.0.1.pom

%build
mvn-rpmbuild install javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/fest

install -m 644 target/%{name}-%{version}.jar \
       $RPM_BUILD_ROOT%{_javadir}/fest/%{module}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}.pom
%add_maven_depmap JPP.%{name}.pom  fest/%{module}.jar

%files
%dir %{_javadir}/fest
%{_javadir}/fest/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*



%changelog
* Sat May 16 2015 neoclust <neoclust> 1.0-0.r1039.1.4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.0-0.r1039.1.4.mga4
+ Revision: 505280
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 1.0-0.r1039.1.2.mga3
+ Revision: 352318
- Build with maven 3
- imported package fest-assembly

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild


* Wed Jun 16 2010 Ralph Apel <r.apel@r-apel.de> 1.0-0.r1039.1
- First JPP release

